<?php
	define("HTML_TITLE", "MyHome Calendar");
	define("SESSION_PREFIX", "calendar");

	if (defined("_DB_SCHEMA_calendar")) {
		define("_DB_SCHEMA", _DB_SCHEMA_calendar);
	} else {
		define("_DB_SCHEMA", "_db_calendar");
	}

	if (defined("ATTACH_FILE_FOLDER_calendar")) {
		define("ATTACH_FILE_FOLDER", ATTACH_FILE_FOLDER_calendar);
	} else {
		//↓絶対パスにできない？？？
		define("ATTACH_FILE_FOLDER", "../_attach/calendar/");
	}
	if (defined("IMAGES_FOLDER_calendar")) {
		define("IMAGES_FOLDER", IMAGES_FOLDER_calendar);
	} else {
		define("IMAGES_FOLDER", "images");
	}
	if (defined("TEXTAREA_HTML_USE_calendar")) {
		define("TEXTAREA_HTML_USE", TEXTAREA_HTML_USE_calendar);
	} else {
		define("TEXTAREA_HTML_USE", "YES");
	}

	define("PAGE_LINE_SELECT", "5,10,20,50,100,1000");	//頁内に表示する行数
	define("PAGE_LINE_DEFAULT", "100");			//頁内に表示する行数（デフォルト）

	if (defined("ALBUM_PHOTO_SIZE_calendar")) {
		define("ALBUM_PHOTO_SIZE", ALBUM_PHOTO_SIZE_calendar);
		define("ALBUM_PHOTO_SIZE_POP", ALBUM_PHOTO_SIZE_POP_calendar);
	} else {
		define("ALBUM_PHOTO_SIZE", 100);
		define("ALBUM_PHOTO_SIZE_POP", 300);
	}

	// スケジュール入力画面カラータグ挿入ボタン定義ファイル
	if (defined("INPUT_COLOR_TAG_caledar")) {
		define("INPUT_COLOR_TAG", INPUT_COLOR_TAG_caledar);
	} else {
		define("INPUT_COLOR_TAG", "__define_color_tag.php");
	}

	// スケジュール入力画面の日付入力補助ポップアップカレンダーの種類
	// デフォルトは、ホームページの素(http://www.kanaya440.com/)の日付入力補助
	if (defined("INPUT_POPUP_CALENDAR_calendar")) {
		define("INPUT_POPUP_CALENDAR", INPUT_POPUP_CALENDAR_calendar);
	} else {
		define("INPUT_POPUP_CALENDAR", "");		// Yahoo! UI Library: Calendar を使う場合: "YUI"
	}

	if (defined("NO_SUBJECT_INPUT_MARK_calendar")) {
		define("NO_SUBJECT_INPUT_MARK", NO_SUBJECT_INPUT_MARK_calendar);
	} else {
		define("NO_SUBJECT_INPUT_MARK", "☆");
	}

	if (defined("TODO_VIEW_USE_calendar")) {
		define("TODO_VIEW_USE", TODO_VIEW_USE_calendar);
	} else {
		define("TODO_VIEW_USE", "YES");			// 月カレンダー右にToDo表示する場合:　"YES"
	}
	if (defined("TODO_VIEW_FRAME_COLOR_calendar")) {
		define("TODO_VIEW_FRAME_COLOR", TODO_VIEW_FRAME_COLOR_calendar);
	} else {
		define("TODO_VIEW_FRAME_COLOR", "#228b22");	// ToDo表示 枠カラー
	}
?>
